/api/v1/llm-providers/options
GET
/api/v1/llm-providers/options
const url = 'https://api.endless.zaia.app/api/v1/llm-providers/options';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.endless.zaia.app/api/v1/llm-providers/optionsRetrieves multiple LLM provider options.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”llmProviderId
A UUID v4 string that identifies an entity.
string format: uuid
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”Retrieves all available LLM models.
Media typeapplication/json
Array<object>
object
aiLab
required
string
artificialAnalysisReference
required
string
cost
required
integer
indicators
required
object
bestCostBenefit
required
boolean
bestOverall
required
boolean
defaultChoice
required
boolean
deprecated
required
boolean
fast
required
boolean
greatForTooling
required
boolean
score
required
integer
smart
required
boolean
label
required
string
name
required
string
provider
required
string
Example
[ { "name": "claude-haiku-4-5", "provider": "openai" }]Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}